Loading...
Searching...
No Matches
Opm::ConvergenceReportQueue::OutputRequest Struct Reference

Single output request. More...

`#include <ExtraConvergenceOutputThread.hpp>`

## Public Attributes

int | reportStep {-1}
| Current report step.
int | currentStep {-1}
| Current timestep within `reportStep`.
std::vector< ConvergenceReport > | reports {}
| Convergence metrics for each non-linear ieration in the `currentStep`.

## Detailed Description

Single output request.

Associates non-linear iteration convergence information to single report and timestep.

## Member Data Documentation

## currentStep

int Opm::ConvergenceReportQueue::OutputRequest::currentStep {-1}

Current timestep within `reportStep`.

Expected to be a small integer.

The documentation for this struct was generated from the following file:

- opm/simulators/flow/ExtraConvergenceOutputThread.hpp